apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: kas
  namespace: gitlab
spec:
  hosts:
    - kas.${cluster}.${region}.${project}.${provider}.${domain}
    - kas.${global_endpoint}
  gateways:
    - kas
  http:
    - name: "kas"
      match:
        - uri:
            prefix: "/"
      route:
        - destination:
            host: gitlab-kas
            port:
              number: 8150
